summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Fellype do Nascimento <fellype(at)gmail.com>2017-02-14 16:55:17 +0000
committer David Spencer <idlemoor@slackbuilds.org>2017-02-17 21:52:07 +0000
commit6c311cdd01a4e6ce253cc6f153c97560144b6aa8 (patch)
treec116786c95efed4a76ef9863db2cdee19ec6f7d9 /academic
parentb56f1badba028b380ff81f2a6365190684af6948 (diff)
downloadslackbuilds-6c311cdd01a4e6ce253cc6f153c97560144b6aa8.tar.gz
slackbuilds-6c311cdd01a4e6ce253cc6f153c97560144b6aa8.tar.xz
academic/fityk: Added (nonlinear curve fitting).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/fityk/README18
-rw-r--r--academic/fityk/doinst.sh13
-rw-r--r--academic/fityk/fityk.SlackBuild98
-rw-r--r--academic/fityk/fityk.info10
-rw-r--r--academic/fityk/slack-desc19
5 files changed, 158 insertions, 0 deletions
diff --git a/academic/fityk/README b/academic/fityk/README
new file mode 100644
index 0000000000..c3e6500623
--- /dev/null
+++ b/academic/fityk/README
@@ -0,0 +1,18 @@
+Fityk (program for data processing and nonlinear curve fitting)
+
+Fityk [fi:tik] is a program for data processing and nonlinear curve fitting.
+
+Primarily used:
+
+- by scientists who analyze data from powder diffraction,
+chromatography, photoluminescence and photoelectron spectroscopy,
+infrared and Raman spectroscopy, and other experimental techniques;
+
+- to fit peaks -- bell-shaped functions (Gaussian, Lorentzian, Voigt,
+Pearson VII, bifurcated Gaussian, EMG, Doniach-Sunjic, etc.);
+
+but it is suitable for fitting any curve to 2D (x,y) data.
+
+Fityk is distributed under an open source licence (GPLv2+).
+
+Optional dependency: gnuplot (can be used with the CLI)
diff --git a/academic/fityk/doinst.sh b/academic/fityk/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/academic/fityk/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/fityk/fityk.SlackBuild b/academic/fityk/fityk.SlackBuild
new file mode 100644
index 0000000000..c09ec3cc59
--- /dev/null
+++ b/academic/fityk/fityk.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+# Slackware build script for fityk
+# Based on Slackware 14.2 SlackBuild
+#
+# Copyright 2017, Fellype do Nascimento, Campinas - Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=fityk
+VERSION=${VERSION:-1.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --enable-python \
+ --build=$ARCH-slackware-linux
+
+make
+make DESTDIR=$PKG install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL NEWS README.md TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+gzip -9 $PKG/usr/man/man1/fityk.1
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/fityk/fityk.info b/academic/fityk/fityk.info
new file mode 100644
index 0000000000..76de4f6ab5
--- /dev/null
+++ b/academic/fityk/fityk.info
@@ -0,0 +1,10 @@
+PRGNAM="fityk"
+VERSION="1.3.1"
+HOMEPAGE="http://fityk.nieto.pl/"
+DOWNLOAD="https://github.com/wojdyr/fityk/releases/download/v1.3.1/fityk-1.3.1.tar.bz2"
+MD5SUM="41c9a2589e2eac4317a480b364ff493a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua xylib"
+MAINTAINER="Fellype do Nascimento"
+EMAIL="fellype(at)gmail.com"
diff --git a/academic/fityk/slack-desc b/academic/fityk/slack-desc
new file mode 100644
index 0000000000..dc67da89ae
--- /dev/null
+++ b/academic/fityk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fityk: fityk (program for data processing and nonlinear curve fitting)
+fityk:
+fityk: Fityk is a program for data processing and nonlinear curve fitting.
+fityk: Primarily used:
+fityk: - by scientists who analyze data from powder diffraction,
+fityk: chromatography, photoluminescence and photoelectron spectroscopy,
+fityk: infrared and Raman spectroscopy, and other experimental techniques;
+fityk: - to fit peaks -- bell-shaped functions (Gaussian, Lorentzian, Voigt,
+fityk: Pearson VII, bifurcated Gaussian, EMG, Doniach-Sunjic, etc.);
+fityk: but it is suitable for fitting any curve to 2D (x,y) data.
+fityk: